var propertyOperationStarted = false;

function setProperty() {
    if (propertyOperationStarted) {
        CARBON.showWarningDialog(org_wso2_carbon_registry_properties_ui_jsi18n["property.operation.in.progress"]);
        return;
    }
    propertyOperationStarted = true;
    sessionAwareFunction(function() {
        var reason="";
        reason +=validateEmpty(document.getElementById('propName'), org_wso2_carbon_registry_properties_ui_jsi18n["property.name"]);
        if (reason == "") {
            reason +=validateEmpty(document.getElementById('propValue'), org_wso2_carbon_registry_properties_ui_jsi18n["property.value"]);
        }
        if (reason == "") {
            reason +=validateForInput(document.getElementById('propName'), org_wso2_carbon_registry_properties_ui_jsi18n["property.name"]);
        }
        if (reason == "") {
            reason +=validateForInput(document.getElementById('propValue'), org_wso2_carbon_registry_properties_ui_jsi18n["property.value"]);
        }
        var resourcePath = $('propRPath').value;
        var propertyName = $('propName').value;
        var propertyValue = $('propValue').value;

        if(reason == ""){
            propertyName = propertyName.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
            if (propertyName == "") {
                reason = org_wso2_carbon_registry_properties_ui_jsi18n["property.value.cannot.contain.only.white.spaces"];
            }

            propertyValue = propertyValue.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
            if (propertyValue == "") {
                reason = org_wso2_carbon_registry_properties_ui_jsi18n["property.value.cannot.contain.only.white.spaces"];
            }
        }
        //Check for the previously entered property
        var foundPropName = false;
        var allNodes = document.getElementById("propertiesList").getElementsByTagName("*");

        for (var i = 0; i < allNodes.length; i++) {
            if (YAHOO.util.Dom.hasClass(allNodes[i], "propEditNameSelector")) {
                if(allNodes[i].value == $('propName').value) reason += org_wso2_carbon_registry_properties_ui_jsi18n["duplicate.entry.please.choose.another.name"];
            }
        }

        if(reason!=""){
            CARBON.showWarningDialog(reason);
            return false;
        }else{
            cleanField($('propName'));
            cleanField($('propValue'));

            new Ajax.Request('../properties/properties-ajaxprocessor.jsp',
            {
                method:'post',
                parameters: {path: resourcePath, name: propertyName, value: propertyValue},

                onSuccess: function(transport) {
                    $('resourceProperties').innerHTML = transport.responseText;
                    $('propertiesList').style.display = "";
                    $('propertiesIconExpanded').style.display = "";
                    $('propertiesIconMinimized').style.display = "none";
                    refreshMetadataSection(resourcePath);
                },

                onFailure: function() {
                }
            });
            showHideCommon('propertiesAddDiv');
        }
        return true;
    }, org_wso2_carbon_registry_properties_ui_jsi18n["session.timed.out"]);
    propertyOperationStarted = false;
}

function editProperty(rowid) {
    if (propertyOperationStarted) {
        CARBON.showWarningDialog(org_wso2_carbon_registry_properties_ui_jsi18n["property.operation.in.progress"]);
        return;
    }
    propertyOperationStarted = true;
    sessionAwareFunction(function() {
        var reason = "";

        var resourcePath = document.getElementById('propRPath_'+rowid).value;
        var oldPropertyName = document.getElementById('oldPropName_'+rowid).value;
        var propertyName = document.getElementById('propName_'+rowid);
        reason += validateEmpty(propertyName,org_wso2_carbon_registry_properties_ui_jsi18n["property.name"]);
        reason += validateForInput(propertyName,org_wso2_carbon_registry_properties_ui_jsi18n["property.name"]);
        var propertyValue = document.getElementById('propValue_'+rowid);
        reason += validateEmpty(propertyValue,org_wso2_carbon_registry_properties_ui_jsi18n["property.value"]);
        reason += validateForInput(propertyValue,org_wso2_carbon_registry_properties_ui_jsi18n["property.value"]);

        //Check for the previously entered property
        var foundPropName = false;
        var allNodes = document.getElementById("propertiesList").getElementsByTagName("*");

        if(reason==""){
            new Ajax.Request('../properties/properties-ajaxprocessor.jsp',
            {
                method:'post',
                parameters: {path: resourcePath, oldName: oldPropertyName, name: propertyName.value, value: propertyValue.value},

                onSuccess: function(transport) {
                    $('resourceProperties').innerHTML = transport.responseText;
                    $('propertiesList').style.display = "";
                    $('propertiesIconExpanded').style.display = "";
                    $('propertiesIconMinimized').style.display = "none";
                    refreshMetadataSection(resourcePath);
                },

                onFailure: function() {
                }
            });
        }else{
            CARBON.showWarningDialog(reason);
        }
    }, org_wso2_carbon_registry_properties_ui_jsi18n["session.timed.out"]);
    propertyOperationStarted = false;
}

function removeProperty(propertyName) {
    if (propertyOperationStarted) {
        CARBON.showWarningDialog(org_wso2_carbon_registry_properties_ui_jsi18n["property.operation.in.progress"]);
        return;
    }
    propertyOperationStarted = true;
    sessionAwareFunction(function() {
        CARBON.showConfirmationDialog(org_wso2_carbon_registry_properties_ui_jsi18n["are.you.sure.you.want.to.delete"]+ " <strong>'"+ propertyName +"'</strong> " + org_wso2_carbon_registry_properties_ui_jsi18n["permanently"], function(){
            var resourcePath = document.getElementById('propRPath').value;
            new Ajax.Request('../properties/properties-ajaxprocessor.jsp',
            {
                method:'post',
                parameters: {path: resourcePath, name: propertyName, remove:'true'},

                onSuccess: function(transport) {
                    $('resourceProperties').innerHTML = transport.responseText;
                    $('propertiesList').style.display = "";
                    $('propertiesIconExpanded').style.display = "";
                    $('propertiesIconMinimized').style.display = "none";
                    refreshMetadataSection(resourcePath);
                },

                onFailure: function() {
                }
            });
        }, null);
    }, org_wso2_carbon_registry_properties_ui_jsi18n["session.timed.out"]);
    propertyOperationStarted = false;
}
function showProperties(){
	if($('propertiesIconExpanded').style.display == "none"){
	//We have to expand all and hide sum
	$('propertiesIconExpanded').style.display = "";
	$('propertiesIconMinimized').style.display = "none";
	$('propertiesExpanded').style.display = "";
	$('propertiesMinimized').style.display = "none";
	}
	else{
	$('propertiesIconExpanded').style.display = "none";
	$('propertiesIconMinimized').style.display = "";
	$('propertiesExpanded').style.display = "none";
	$('propertiesMinimized').style.display = "";
	}
}
